Bug 1417925 (CVE-2017-1000427) - CVE-2017-1000427 marked: Cross-site scripting via Data URIs
Summary: CVE-2017-1000427 marked: Cross-site scripting via Data URIs
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-1000427
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1417926 1417927 1417928
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 12:31 UTC by Andrej Nemec
Modified: 2020-05-31 07:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:42 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-31 12:31:04 UTC
marked is a markdown parser and compiler used for rendering markdown content to html. Affected versions of the package allowed the use of data: URIs for all mime types by default potentially opening a door for Cross-site Scripting (XSS) attacks.

References:

https://snyk.io/vuln/npm:marked:20170112

Upstream patch:

https://github.com/chjj/marked/commit/cd2f6f5b7091154c5526e79b5f3bfb4d15995a51

Comment 1 Andrej Nemec 2017-01-31 12:32:05 UTC
Created marked tracking bugs for this issue:

Affects: epel-6 [bug 1417928]
Affects: epel-7 [bug 1417926]
Affects: fedora-all [bug 1417927]

Comment 2 Product Security DevOps Team 2019-06-08 03:06:42 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.